Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.graph.decorators
Class PickableVertexIconFunction

    java.lang.Object
      edu.uci.ics.jung.graph.decorators.PickableVertexIconFunction

All Implemented Interfaces:
  VertexIconFunction

public class PickableVertexIconFunction
extends Object
implements VertexIconFunction

Supplies an Icon for each vertex according to the `Icon` parameters given in the constructor, so that picked and non-picked vertices can be made to look different.

Field Summary
`protected Icon` | `icon`
`protected PickedInfo` | `pi`
`protected Icon` | `picked_icon`

Fields inherited from interface edu.uci.ics.jung.graph.decorators.VertexIconFunction
`BROKEN_IMAGE`

Constructor Summary
`PickableVertexIconFunction(PickedInfo pi, Icon icon, Icon picked_icon)`

Method Summary
`Icon` | `getIcon(ArchetypeVertex v)` Returns the appropriate `Icon`, depending on picked state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### icon

    protected Icon icon

### picked_icon

    protected Icon picked_icon

### pi

    protected PickedInfo pi

Constructor Detail

### PickableVertexIconFunction

    public PickableVertexIconFunction(PickedInfo pi,
                                      Icon icon,
                                      Icon picked_icon)

Parameters:
  `pi` - specifies which vertices report as "picked"
  `icon` - `Icon` used to represent vertices
  `picked_icon` - `Icon` used to represent picked vertices

Method Detail

### getIcon

    public Icon getIcon(ArchetypeVertex v)

  Returns the appropriate `Icon`, depending on picked state.

  Specified by:
    `getIcon` in interface `VertexIconFunction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD